#version 330 core
layout (location = 0) in vec3 vert;
layout (location = 1) in vec3 pos;
layout (location = 2) in vec3 color;

out vec3 fragCol;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;
uniform vec3 xyz;
uniform vec3 CameraRight_worldspace;
uniform vec3 CameraUp_worldspace;

void main()
{

	fragCol=color;
	vec3 particleCenter_wordspace = pos;

	vec3 vertexPosition_worldspace = 
		particleCenter_wordspace
		+ CameraRight_worldspace * vert.x 
		+ CameraUp_worldspace * vert.y;

    gl_Position = projection * view * vec4(vertexPosition_worldspace, 1.0f);

}